% Computes Distance of Structural Model from Data for 2002 Cohort
% for "Mortgage Default during the U.S. Mortgage Crisis"
% by Thomas Schelkle
% Uses: solvepolicy, simulmodel
%--------------------------------------------------------
%--------------------------------------------------------

function distmeasure = distancefunc(theta,Data_defcum,simultime,LTVnumb,resultspath,datapath,opt_solvesimul,opt_solverentown)

opt_solve = opt_solvesimul(1);
opt_simul = opt_solvesimul(2);

if opt_solve, % solve policy functions 
    [I,C,GX,GPH]=solvepolicy(theta,resultspath,datapath,opt_solverentown);
else % load stored policy functions
    load([resultspath,'owner_theta',num2str(1000*theta)]);   
end
 
if opt_simul, % simulate model
    Idefcum = simulmodel(theta,simultime,LTVnumb,resultspath,datapath,I,C,GX,GPH);
else % load stored simulation results
    load([resultspath,'simul_theta',num2str(1000*theta)]);
end
        
% Compute Distance of Model from Data for 2002 cohort
c1 = 1;
c2 = 12;
distmatdef = Data_defcum - Idefcum;
distmatdef = mean(distmatdef(1:end-c2+1,c1:c2),2).^2; % match mean profiles
distmeasure = sum(distmatdef);

end